
CoCoALib - Feature #1780

radical for ideals in SparsePolyRing:  code in C++ 

06 Feb 2024 09:01 - Anna Maria Bigatti

Status: Closed Start date: 06 Feb 2024

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99850 Spent time: 2.70 hours

Description

Port the code from the CoCoa-5 package radical.cpkg5 into CoCoALib

Related issues:

Related to CoCoALib - Bug #1779: Radical error with lex (again) Closed 05 Feb 2024

Related to CoCoA-5 - Bug #1567: Radical in non-zero char Closed 21 Jan 2021

Related to CoCoA-5 - Bug #1577: radical: lex order,  ERROR: Ring is not stand... Closed 15 Feb 2021

Related to CoCoALib - Slug #1646: radical: could be more clever Closed 17 Jan 2022

Related to CoCoALib - Feature #1417: RadicalZeroDim with extra parameter for ... In Progress 14 Feb 2020

Related to CoCoA-5 - Slug #1390: CoCoA-5 test: radical too slow Closed 09 Jan 2020

Related to CoCoALib - Support #1782: Make CoCoALib test file for radical New 23 Feb 2024

Related to CoCoALib - Design #1378: Create two separate radical fns (for 0-di... New 20 Dec 2019

History

#1 - 06 Feb 2024 09:02 - Anna Maria Bigatti

- Related to Bug #1779: Radical error with lex (again) added

#2 - 06 Feb 2024 09:02 - Anna Maria Bigatti

- Related to Bug #1567: Radical in non-zero char added

#3 - 06 Feb 2024 09:02 - Anna Maria Bigatti

- Related to Bug #1577: radical: lex order,  ERROR: Ring is not standard graded added

#4 - 06 Feb 2024 09:03 - Anna Maria Bigatti

- Related to Slug #1646: radical: could be more clever added

#5 - 06 Feb 2024 09:03 - Anna Maria Bigatti

- Related to Feature #1417: RadicalZeroDim with extra parameter for GBasis timeout added

#6 - 06 Feb 2024 09:10 - Anna Maria Bigatti

- % Done changed from 0 to 50

The package was first translated by Alice Moallemy, then fixed by Nicolas Jagersma (2023).

Now it's been officially included in CoCoALib by me (2024), but it needs polishing.

Apart from the few bugs reappearing, there is the question of the IamRadical3Flag which I need to think about.  It should all go through

myTestIsRadical, ... and now it isn't (I had forced the function radical, instead)

#7 - 06 Feb 2024 10:17 - Anna Maria Bigatti

Anna Maria Bigatti wrote:
It should all go through myTestIsRadical, ... and now it isn't (I had forced the function radical, instead)

 

I messed things up.  What I actually was thinking is that the radical is, well, radical!  So it should have the flag set, AS IN myTestIsRadical.

#8 - 06 Feb 2024 11:44 - Anna Maria Bigatti

- Related to Slug #1390: CoCoA-5 test: radical too slow added

#9 - 06 Feb 2024 11:51 - Anna Maria Bigatti

Now the test from #1390 is fast (in C++), so I re-activated it.

#10 - 23 Feb 2024 11:40 - Anna Maria Bigatti

- Related to Support #1782: Make CoCoALib test file for radical added

#11 - 22 Mar 2024 09:13 - John Abbott

- Related to Design #1378: Create two separate radical fns (for 0-dim ideals) added

#12 - 22 Mar 2024 09:13 - Anna Maria Bigatti

- Status changed from New to Closed

- % Done changed from 50 to 100

The old CoCoA-5 radical code is currently still available as function radical_COCOALANGUAGE in the radical.cpkg5 package
